LibreOffice: XBridgeSupplier Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Member Functions | List of all members
XBridgeSupplier Interface Referencepublished

defines the interface for creating bridges to other object models. More...

`import"XBridgeSupplier.idl";`

Inheritance diagram for XBridgeSupplier:

## Public Member Functions
any | createBridge ([in] any modelDepObject, [in] com::sun::star::uno::Uik MachineId, [in] long ProcessId, [in] short sourceModelType, [in] short destModelType) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a bridge to provide an object of one object model with another. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

defines the interface for creating bridges to other object models.

Because bridges sometimes can not be generated in an address space, the implementation needs to check the address space of the caller by comparing the machine and process ID against its own. These IDs are provided by the UNO runtime.

All objects, whether they are part of the UNO object model or not, are carried in an `any`. The representation of this object is heavily model-dependent and has to be specified in the following list:

UNO:

  The any carries normal UNO types, which can be any base type, struct, sequence, enum, or interface.

OLE:

  The any carries an `unsigned long` (on 32-bit systems) or an `unsigned hyper` (on 64-bit systems), which is interpreted as a variant pointer. The any does not control the lifetime of the represented variant. That implies that the caller has the responsibility of freeing the OLE resources represented by the any value.

JAVA:

  not yet specified.

CORBA:
  not yet specified.

Any implementation can supply its own bridges to other object models by implementing this interface and returning the bridge when the method is called with itself as the first parameter.

See also
  com::sun::star::bridge::OleBridgeSupplier

Deprecated:

## Member Function Documentation

## § createBridge()

any createBridge | ( | [in] any | modelDepObject,
|  | [in] com::sun::star::uno::Uik | MachineId,
|  | [in] long | ProcessId,
|  | [in] short | sourceModelType,
|  | [in] short | destModelType
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

creates a bridge to provide an object of one object model with another.

The documentation for this interface was generated from the following file:

- com/sun/star/bridge/XBridgeSupplier.idl